﻿# The script of the game goes in this file.

define n_nvl = Character("You", kind=nvl, image="nighten", callback=Phone_SendSound)
define e_nvl = Character("Amanda", kind=nvl, callback=Phone_ReceiveSound)

define config.adv_nvl_transition = None
define config.nvl_adv_transition = Dissolve(0.3)

default likes = "vanilla"



label main_menu:
    return

label start:
    show fkl_banner with dissolve
    pause 3
    show cover with fade
    hide fkl_banner
    pause
    hide cover with dissolve
    window hide
    hide text with dissolve
    $ bf = renpy.input ("{color=#ffffff}{size=50}What's your name?")
    $ bf = bf.strip()
    $gf = "Amanda"
    $gf_selected = "Amanda"
    pause 0.5
    hide text with dissolve
    #-----------------------------
    $limite_ovejas = 3
    call oveja from _call_oveja #CALL OVEJA
    #nvl_narrator "-Later-" with fade #inactivo
    #-----------------------------
    show story 1 with dissolve
    show text "{color=#ffffff}{size=55}Remember... Yesterday you went to the mall with your girlfriend." with dissolve:
        xcenter 0.5 ycenter 0.6
    pause
    show story 6 with dissolve
    show text "{color=#ffffff}{size=55}She seemed a little anxious, worried about her first day at work. She was scared she might not fit in.":
        xcenter 0.5 ycenter 0.6
    pause
    show story 3 with dissolve
    show text "{color=#ffffff}{size=55}But you gently took her hand, telling her everything would be okay. You reminded her how capable she is.":
        xcenter 0.5 ycenter 0.6
    pause
    show story 5 with dissolve
    show text "{color=#ffffff}{size=55}She smiled at you with love in her eyes, feeling reassured by your words.":
        xcenter 0.5 ycenter 0.6
    pause
    show story 2 with dissolve
    show text "{color=#ffffff}{size=55}The two of you walked through the mall, looking for the right shirt for her new job.":
        xcenter 0.5 ycenter 0.6
    pause
    show story 4 with dissolve
    show text "{color=#ffffff}{size=55}After checking a few options, she decided on a plain white shirt. Simple but perfect, just like her.":
        xcenter 0.5 ycenter 0.6
    pause
    show story 7 with dissolve
    show text "{color=#ffffff}{size=55}At the end of the day, you both took the same bus home, sitting quietly next to each other.":
        xcenter 0.5 ycenter 0.6
    pause
    show story 8 with dissolve
    show text "{color=#ffffff}{size=55}At home, you sent her a quick message, and both of you fell asleep feeling close and loved.":
        xcenter 0.5 ycenter 0.6
    pause


    hide text with dissolve
    hide story with dissolve
    pause

    show text "{color=#ffffff}{size=70}Suddenly, your phone starts vibrating." with hpunch:
        xcenter 0.5 ycenter 0.4
    # add vibration sound
    pause
    show text "{color=#ffffff}{size=70}It's a message from [gf]...":
        xcenter 0.5 ycenter 0.4
    pause
    hide text with dissolve

    show new_message amanda with dissolve

    pause
    show screen boton_galeria()
    hide new_message with dissolve
    e_nvl "Hi babe!"
    n_nvl "Morning babe! How’s your first day? Still feeling nervous?"
    e_nvl "Not at all!"
    n_nvl "Really?"
    e_nvl "Ok, maybe just a little. 😅"
    n_nvl "What’s making you nervous?"
    e_nvl "I’m not sure if this shirt was the right choice..."
    n_nvl "You’ve got great taste, don’t worry!"
    e_nvl "{image=foto_1.png} Really?..."
    $ foto_1 = True
    n_nvl "You look like you’re owning the place!"
    e_nvl "Hahaha, I wish I felt that confident!"
    n_nvl "You’re going to crush it!"
    e_nvl "Thanks, babe! You always know how to lift me up."
    n_nvl "Always here for you!"
    e_nvl "{image=foto_2.png} Look, this is my desk!"
    $ foto_2 = True
    n_nvl "Looks exciting!"
    e_nvl "Babe, it’s my first real job, so yeah..."
    e_nvl "{image=foto_3.png} I’m super excited!"
    $ foto_3 = True
    n_nvl "Love that energy!"
    e_nvl "{image=foto_4.png} Gotta jump into it, talk later, okay?"
    $ foto_4 = True
    n_nvl "Love you loads!"
    e_nvl "Love you more!"

    call minigame_tiempos_start from _call_minigame_tiempos_start_1

    n_nvl "Hey, how’s everything going so far?"
    e_nvl "Amazing, babe, I’ve already made a new friend!"
    n_nvl "Oh, really? Who might this be?"
    e_nvl "We're desk neighbors, hit it off right away."
    n_nvl "I see... that’s nice."
    e_nvl "We’re just acquaintances for now!"
    n_nvl "Right, of course."
    e_nvl "Oops, gotta run, my boss is coming."
    n_nvl "Okay, talk soon..."

    call minigame_tiempos_start from _call_minigame_tiempos_start_2

    n_nvl "It’s getting close to lunch, any plans?"
    e_nvl "Hey there!"
    e_nvl "Actually, we were just planning to grab some lunch."
    n_nvl "We? You mean you and your new friend?"
    e_nvl "Yeah, apparently there's a cool taco spot nearby!"
    n_nvl "Hmm, sounds good, I guess..."
    e_nvl "I’m a sucker for tacos, you know that!"
    n_nvl "Yeah, sure."
    e_nvl "You sound a bit off, is everything alright?"
    n_nvl "No, it’s nothing. I’m fine."
    e_nvl "You sure? You seem... different."
    n_nvl "It’s nothing. Really."
    e_nvl "Ok..."
    n_nvl "And his name?"
    e_nvl "Who?"
    n_nvl "Your new friend, what's his name?"
    e_nvl "It’s Martina..."
    n_nvl "Oh!"
    e_nvl "You thought she was a guy, didn’t you? Feeling a bit jealous?"
    n_nvl "Nope, not at all."
    e_nvl "Admit it, you were a little!"
    n_nvl "Maybe just a smidge..."
    e_nvl "{image=foto_5.png} Here’s Martina."
    $ foto_5 = True
    n_nvl "Okay..."
    e_nvl "Happy now?"
    n_nvl "Who took the photo though?"
    e_nvl "Really, you’re unbelievable sometimes!"
    n_nvl "Just kidding around."
    e_nvl "It was her boyfriend who took it!"
    n_nvl "Just pulling your leg, babe!"
    e_nvl "{image=foto_6.png} Not the best joke..."
    $ foto_6 = True
    n_nvl "Got it, haha."
    e_nvl "It's not funny!"
    n_nvl "Ok, I'm sorry!"
    e_nvl "{image=foto_7.png} Now I'm pulling your leg!"
    $ foto_7 = True
    n_nvl "Fuck!..."
    e_nvl "Hahahaha!"
    n_nvl "You got me!"
    e_nvl "Alright, we're off to lunch, catch you later!"
    n_nvl "Bye!"
    call minigame_tiempos_start from _call_minigame_tiempos_start_3
    e_nvl "{image=foto_8.png} These tacos are amazing!"
    $ foto_8 = True
    n_nvl "Awesome! We should go together next time."
    e_nvl "Yeah, you are gonna love them."
    n_nvl "What time are you going back to the office?"
    e_nvl "I still got like 40 minutes, but I'm gonna focus on eating now, talk to you later!"
    n_nvl "Okay babe, enjoy!"
    call minigame_tiempos_start from _call_minigame_tiempos_start_4
    n_nvl "Hey babe, how's it going?"
    e_nvl "{image=foto_9.png} Just heading back to my desk now!"
    $ foto_9 = True
    n_nvl "Ready to work?"
    e_nvl "{image=foto_10.png} Yes sir!"
    $ foto_10 = True
    n_nvl "That’s right!"
    e_nvl "OMG babe, my boss just told me to stop taking pictures at work..."
    n_nvl "Oh shoot!"
    e_nvl "We should talk later, babe..."
    n_nvl "Okay babe, I won’t bother you anymore."

    call minigame_tiempos_start from _call_minigame_tiempos_start_5
    e_nvl "Hi babe!"
    n_nvl "Hey! Are you off now?"
    e_nvl "{image=foto_11.png} Yeah!"
    $ foto_11 = True
    n_nvl "So, how was your first day after all?"
    e_nvl "I feel like we can say it was a success!"
    n_nvl "You see, there was no reason to be worried!"
    e_nvl "Yeah, you are right..."
    n_nvl "It’s getting kind of dark. Are you going home already?"
    e_nvl "Well, Martina invited me to have a couple of drinks."
    n_nvl "Oh..."
    e_nvl "Are you getting jealous again?"
    n_nvl "Come on babe, you know I’m not like that!"
    e_nvl "Then I guess it would it be okay if I go?"
    n_nvl "Sure!"
    e_nvl "Love you!"
    n_nvl "Love u too!"
    e_nvl "Bye."
    call minigame_tiempos_start from _call_minigame_tiempos_start_6
    n_nvl "How is it going, babe?"
    e_nvl "We are doing great, babe!"
    n_nvl "That’s awesome!"
    e_nvl "It’s a nice place!"
    e_nvl "{image=foto_12.png}"
    $ foto_12 = True
    n_nvl "I'm glad you are having fun!"
    e_nvl "Thanks, babe!"
    e_nvl "Hey, our drinks are here, I'll talk to you later!"
    n_nvl "Okay..."
    call minigame_tiempos_start from _call_minigame_tiempos_start_7
    e_nvl "Okay babe, I’m back."
    n_nvl "How’s it going?"
    e_nvl "Well, I can’t complain, we’ve been having fun."
    e_nvl "{image=foto_13.png}"
    $ foto_13 = True
    n_nvl "Not wearing your glasses?"
    e_nvl "Haha, I just don’t want to lose them so Martina is taking care of them for me."

    n_nvl "And who else is there?"
    e_nvl "{image=foto_14.png} Just Martina, her boyfriend, and me."
    $ foto_14 = True
    n_nvl "Hey, that's cool!"
    e_nvl "Yeah they have been really kind to me, I was afraid I was not gonna get along with my coworkers."
    n_nvl "Told you they were gonna love you."
    e_nvl "Did I told you that Martina and her boyfriend live togheter just a couple of blocks away from the office!"
    n_nvl "That's convenient!"
    e_nvl "{image=foto_15.png} Have you ever thoguht about us living togheter?"
    $ foto_15 = True
    n_nvl "I don't know if I could afford it right now babe..."
    e_nvl "I could pay the bills until you get a job..."
    n_nvl "I'll think about it ok?"
    e_nvl "Ok..."
    n_nvl "Why don't you focus on having fun with your new friends?"
    e_nvl "Sure."

    call minigame_tiempos_start from _call_minigame_tiempos_start_8
    n_nvl "Babe? What time are you going home?"
    e_nvl "We were just talking about that, babe..."
    n_nvl "Oh, so you are going home soon?"
    e_nvl "Yeah, as soon as Martina comes out of the bathroom, it's kinda late after all."
    n_nvl "True!"
    e_nvl "{image=foto_16.png} It’s so hot in here!"
    $ foto_16 = True
    n_nvl "Hahaha yeah, I can tell!"
    e_nvl "I wish you were here!"
    n_nvl "Heh, maybe next time!"
    e_nvl "{image=foto_17.png} I think I’m a little drunk hehe!"
    $ foto_17 = True
    n_nvl "Really?"
    e_nvl "{image=foto_18.png} Did I tell you that it’s really hot in here?"
    $ foto_18 = True
    n_nvl "Babe, please button up your shirt!"
    e_nvl "Why? Are you gonna get jealous again?"
    n_nvl "Come on babe, you know I’m not like that!"
    e_nvl "Then I guess you wouldn't have a problem with this picture!"
    e_nvl "{image=foto_19.png}"
    $ foto_19 = True
    n_nvl "Babe, this isn’t funny!"
    e_nvl "It's just Martina's boyfriend!"
    n_nvl "It feels like you were trying to get me jealous!"
    n_nvl "Babe?"
    n_nvl "Hello?"
    call minigame_tiempos_start from _call_minigame_tiempos_start_9
    e_nvl "Hey, are you Amanda’s boyfriend?"
    n_nvl "Yes, who is this?"
    e_nvl "This is Martina."
    n_nvl "Oh, hi, is everything okay?"
    e_nvl "Well actually, there is a problem..."
    n_nvl "Okay..."
    e_nvl "{image=foto_20.png} Amanda is kind of drunk right now."
    $ foto_20 = True
    n_nvl "OMG!"
    e_nvl "Yeah we got kicked out of the bar"
    n_nvl "I'm so sorry."
    e_nvl "Don't worry but I can't send her home like this, I was thinking it was better for her to stay at my place, I live nearby."
    n_nvl "Why is her shirt unbuttoned?"
    e_nvl "Oh it was her saying it was too hot in here. Don't worry I'll take care of her."
    n_nvl "Thanks! I was getting worried."
    e_nvl "Yeah no worries, we'll call an uber, I'll give her some water and will let you know when she's feeling better."
    n_nvl "Thanks"
    call minigame_tiempos_start from _call_minigame_tiempos_start_10
    e_nvl "Hey, we've arrived at my place, she already looks better, I'll let you talk with her now."
    n_nvl "Thanks!"
    n_nvl "How are you babe!"
    e_nvl "Hi babe, I'm sorry about everything."
    n_nvl "It's ok babe, you've done nothing wrong..."
    e_nvl "But I feel terrible, even though it was really hot back there!"
    n_nvl "Hahahaha, Ok... to soon..."
    e_nvl "Sorry."
    n_nvl "It's ok... And how is it there?"
    e_nvl "{image=foto_21.png} It's really cozy and stylish!"
    $ foto_21 = True
    n_nvl "Sounds nice. Just make sure you’re drinking water, okay?"
    e_nvl "Of course, babe!"
    e_nvl "Martina just went to change into something more comfortable. She offered me a tour of her apartment."
    n_nvl "Alright, just keep your phone with you."
    e_nvl "Don’t worry, I will."
    e_nvl "Martina’s back..."
    n_nvl "Ok babe, talk to you later."

    call minigame_tiempos_start from _call_minigame_tiempos_start_11
    n_nvl "How are you babe?"
    e_nvl "I'm feeling better..."
    n_nvl "That's good, are you thinking about going home?"
    e_nvl "Not really, It's pretty late it wouldn't be safe!"
    n_nvl "True"
    e_nvl "Marina wants us to play a game, would you like to join us?"
    n_nvl "Babe you know I can't go there!"
    e_nvl "I know! But we are going to play truth or dare, would you like to play from your phone?"
    n_nvl "Sure, what do I do!"
    e_nvl "Ok. let's begin! Martina will start...she want's to ask you, truth or dare?"
    n_nvl "Ok truth!"
    e_nvl "She wants to know when was the last time we did it... OMG!"
    n_nvl "Hahaha Well It was a couple of days ago at my place right honey?"
    e_nvl "Hahah Ok that was a spicy one...It's your turn hit them with something harder babe!"
    n_nvl "To her boyfriend, truth or dare?"
    e_nvl "Hahah He says dare!"
    n_nvl "Ok show us a hot picture that martina has sent you!"
    e_nvl "OMG baby!."
    n_nvl "Was it too much?"
    n_nvl "Hello?"

    call minigame_tiempos_start from _call_minigame_tiempos_start_12
    e_nvl "{image=foto_22.png}."
    $ foto_22 = True
    n_nvl "OMG!"
    e_nvl "Yeah I know, they say you can't show it to anyone!"
    n_nvl "OK!"
    e_nvl "Ok I guess now it's his's turn now.."
    n_nvl "OK.. Who is it gonna be?"
    e_nvl "He choosed me and I want truth!"
    n_nvl "What's the question?"
    e_nvl "He wants to know if I've even been with a black man."
    n_nvl "Oh... I've never wonder about that before.."
    n_nvl "So?"
    e_nvl "Yeah, it was a long time ago... nothing important."
    n_nvl "OK..."
    e_nvl "I want revenge, I chosen her boyfriend!"
    n_nvl "What did he chose?"
    e_nvl "Dare and I'm gonna make him renact Martinas picture!"
    n_nvl "What! hahah you got creative!"
    call minigame_tiempos_start from _call_minigame_tiempos_start_13
    e_nvl "{image=foto_23.png}."
    $ foto_23 = True
    n_nvl "Hahahah ok you got your revenge!"
    e_nvl "Hahahah yeah, I can't stop laughing."
    n_nvl "It was just way too funny!"
    e_nvl "Ok he has chosen me..."
    n_nvl "What are you gonna do?"
    e_nvl "Dare!"
    n_nvl "Ok.."
    n_nvl "What is he gonna make you do?"
    n_nvl "Hello?.."
    call minigame_tiempos_start from _call_minigame_tiempos_start_14
    n_nvl "Babe?"
    e_nvl "I'm sorry babe that dare was kinda crazy"
    n_nvl "What was it?"
    e_nvl "{image=foto_24.png} They made me take a couple of hits of this..."
    $ foto_24 = True
    n_nvl "But you've never smoked weed before!"

    e_nvl "Yeah, I've never smoked before, but I think I'm okay..."
    n_nvl "Are you sure?"
    e_nvl "Yeah, don't worry, babe. Martina is taking good care of me."

    n_nvl "Alright, what's the question?"
    e_nvl "She wants to know if you've ever thought about having a threesome."
    n_nvl "What?!"
    e_nvl "Yeah, she says it's just a hypothetical question."
    n_nvl "Well, I... uh, maybe once or twice."
    e_nvl "Hahaha, you perv!"
    n_nvl "It's just a fantasy, babe."
    e_nvl "I know, I know. It's just funny to hear you admit it."
    n_nvl "And I'm not a perv!"
    e_nvl "Yes you are!"
    n_nvl "Stop messing with me!"
    e_nvl "Haha ok.. Babe, Martina and her boyfriend want to play another game."
    n_nvl "What kind of game?"
    e_nvl "It's a bit more... intimate."
    n_nvl "What do you mean?"
    e_nvl "It's called 'Seven Minutes in Heaven'."
    n_nvl "Babe, are you sure about this?"
    e_nvl "It's just a game, babe. No big deal."

    e_nvl "Okay, it's my turn first."
    n_nvl "What are you going to do?"
    e_nvl "I'm going into the closet with Martina's boyfriend."
    n_nvl "Babe, I don't know about this..."
    e_nvl "Relax, it's just a game. Trust me, okay?"
    n_nvl "This gotta be a joke!"
    n_nvl "Babe? Are you there?"
    n_nvl "This is not funny!"

    e_nvl "Hi, [bf]."
    e_nvl "This is Martina. Amanda is a bit... busy right now."
    n_nvl "Martina? What's going on?"
    e_nvl "Well, they're getting to know each other better. Let me show you."
    e_nvl "{image=foto_25.png}"
    $ foto_25 = True
    n_nvl "What the...?"

    e_nvl "They're really hitting it off."
    e_nvl "{image=foto_26.png}"
    $ foto_26 = True
    n_nvl "This isn't right."

    e_nvl "Oh, it's very real. And very fun."
    e_nvl "{image=foto_27.png}"
    $ foto_27 = True
    n_nvl "No, stop this..."

    e_nvl "Just giving you a glimpse."
    e_nvl "{image=foto_pendiente.png}"
    $ foto_pendiente = True
    n_nvl "I can't believe this."

    e_nvl "Well, believe it. Now, I think I'll join them."
    n_nvl "No, wait!"

    n_nvl "Amanda! What's happening? Please, answer me!"

    e_nvl "She's a bit occupied right now. But don't worry, she's in good hands."
    n_nvl "Martina, please..."

    e_nvl "Just relax and enjoy the show."
    e_nvl "{image=foto_pendiente.png}"
    $ foto_pendiente = True
    n_nvl "This can't be real..."

    e_nvl "Oh, it's very real. And very fun."
    e_nvl "{image=foto_pendiente.png}"
    $ foto_pendiente = True
    n_nvl "No, stop this..."

    e_nvl "Time for me to join the fun. Goodnight, [bf]."
    n_nvl "No, wait, don't!"


    hide text with dissolve

    show text "{color=#ffffff}{size=70}To be continued" with fade
    pause
    show text "{color=#ffffff}{size=70}This is a prototype demo girl" with fade
    pause
    show text "{color=#ffffff}{size=70}To get more like this go to {b}{a=https://www.patreon.com/FakersLab}Patreon.com/FakersLab{/a}" with fade
    pause
    hide text with dissolve
    $ renpy.quit()
